Subject: Re: [PATCH net-next 2/3] bpf: introduce bpf_perf_event_output() helper

From: Peter Zijlstra <[email-masked]>
Date: Wed, 21 Oct 2015 21:33:17 +0200

On Wed, Oct 21, 2015 at 10:26:21AM -0700, Alexei Starovoitov wrote:
> On 10/21/15 5:06 AM, Peter Zijlstra wrote:
> >>  	PERF_COUNT_SW_DUMMY			= 9,
> >>>+	PERF_COUNT_SW_BPF_OUTPUT		= 10,
> >>>
> >>>  	PERF_COUNT_SW_MAX,			/* non-ABI */
> >>>  };
> >Do you really need the new type? Can't you use DUMMY for this?
> 
> It works fine with dummy, but user space code looked odd when
> it perf_event_open-s dummy events and starts reading them.
> So I thought either to add alias:
> PERF_COUNT_SW_BPF_OUTPUT = PERF_COUNT_SW_DUMMY
> or
> add new number like I did above.
> New number is cheap and I saw that dummy used for probing,
> so went with new number to disambiguate.

Ah, ok. It wasn't clear to me why you needed another number.

The SW numbers add some extra (unused) data size to the kernel as a
number of arrays are sized by them, but one more should not hurt (too)
much.